Summary: FastCGI library for Ruby
Name: ruby-fcgi

%global momorel 1

Version: 0.8.4
Release: %{momorel}m
Group: Applications/Text
License: Ruby
URL: http://raa.ruby-lang.org/list.rhtml?name=fcgi
%NoSource 0 http://www.moonwolf.com/ruby/archive/%{name}-%{version}.tar.gz 52f2bf1e2676f405a2a38c80133ed7ee
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ruby-devel >= 1.8.0
BuildRequires: libfcgi-devel >= 1.8.0

%description
FastCGI library for Ruby. It merges matz's C version(fcgi.so) & Eli's
pure ruby version(fastcgi.rb)

%global ruby_libdir %(ruby -rrbconfig -e 'puts Config::CONFIG["rubylibdir"]')
%global ruby_archdir %(ruby -rrbconfig -e 'puts Config::CONFIG["archdir"]')

%prep
%setup -q
chmod 644 README*

%build
ruby install.rb --quiet config \
    --bin-dir=%{buildroot}%{_bindir} \
    --rb-dir=%{buildroot}%{ruby_libdir} \
    --so-dir=%{buildroot}%{ruby_archdir}
ruby install.rb setup

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
ruby install.rb install

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README*
%{ruby_libdir}/fcgi.rb
%{ruby_archdir}/fcgi.so

%changelog
* Mon Apr  5 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.8.4-1m)
- initial import to Momonga
